package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.MusicSheet;
import com.yonge.cooleshow.biz.dal.wrapper.TenantAlbumMusicWrapper;
import com.yonge.cooleshow.biz.dal.entity.TenantAlbumMusic;

import java.util.List;

/**
 * 机构专辑曲目
 * 2023-07-21 17:32:49
 */
public interface TenantAlbumMusicService extends IService<TenantAlbumMusic>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return TenantAlbumMusic
     */
	TenantAlbumMusic detail(Long id);

    /**
     * 分页查询
     * @param page IPage<TenantAlbumMusic>
     * @param query TenantAlbumMusicWrapper.TenantAlbumMusicQuery
     * @return IPage<TenantAlbumMusic>
     */
    IPage<TenantAlbumMusicWrapper.StudentTenantAlbumMusic> selectPage(IPage<TenantAlbumMusicWrapper.StudentTenantAlbumMusic> page, TenantAlbumMusicWrapper.StudentTenantAlbumMusicQuery query);
	
    /**
     * 添加
     * @param tenantAlbumMusic TenantAlbumMusicWrapper.TenantAlbumMusic
     * @return Boolean
     */
     Boolean add(TenantAlbumMusicWrapper.TenantAlbumMusic tenantAlbumMusic);   

    /**
     * 更新
     * @param tenantAlbumMusic TenantAlbumMusicWrapper.TenantAlbumMusic
     * @return Boolean
     */
     Boolean update(TenantAlbumMusicWrapper.TenantAlbumMusic tenantAlbumMusic);

    /**
     * 获取机构专辑曲目查询条件
     */
    TenantAlbumMusicWrapper.TenantAlbumMusicSelectData getTenantAlbumMusicQuery(TenantAlbumMusicWrapper.TenantAlbumMusicSelect query);

    /**
     * 获取机构专辑曲目ID集合
     *
     * @param tenantAlbumIds 机构专辑ID集合
     */
    List<Long> getMusicIdsByIds(List<Long> tenantAlbumIds);

    /**
     * 获取机构专辑曲目ID集合
     *
     * @param tenantId 机构ID
     */
    List<Long> getMusicIdsByTenantIds(Long tenantId);
}